summaryrefslogtreecommitdiffstats
path: root/ci/clean.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ci/clean.sh')
-rwxr-xr-xci/clean.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/ci/clean.sh b/ci/clean.sh
new file mode 100755
index 00000000..d9a02e43
--- /dev/null
+++ b/ci/clean.sh
@@ -0,0 +1,17 @@
+#!/usr/bin/env bash
+
+#Clean script to uninstall provisioning server for Foreman/QuickStack
+#author: Dan Radez (dradez@redhat.com)
+#
+#Uses Vagrant and VirtualBox
+#
+virsh destroy instack 2> /dev/null || echo -n ''
+virsh undefine instack --remove-all-storage 2> /dev/null || echo -n ''
+virsh destroy baremetalbrbm_0 2> /dev/null || echo -n ''
+virsh undefine baremetalbrbm_0 --remove-all-storage 2> /dev/null || echo -n ''
+virsh destroy baremetalbrbm_1 2> /dev/null || echo -n ''
+virsh undefine baremetalbrbm_1 --remove-all-storage 2> /dev/null || echo -n ''
+
+rm -f /var/lib/libvirt/images/instack.qcow2 2> /dev/null
+rm -f /var/lib/libvirt/images/baremetalbrbm_0.qcow2 2> /dev/null
+rm -f /var/lib/libvirt/images/baremetalbrbm_1.qcow2 2> /dev/null